<div class="main-panel">
    <div class="content-wrapper">
        <div class="after-con mob-p0">
            <div class="row"><br>

                <h3 class="pt-2">Mes produits</h3>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <ul id="nav-gwbar1" class="nav-gwbar-single-row nav-genz nav-gwbar-white nav-gwbar-scroll nav nav-pills nav-ul" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active nav-a" data-bs-toggle="pill" href="#home">Tous</a>
                        </li>
                        <!-- <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="pill" href="#menu1">Terminé</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="pill" href="#menu2">Annule</a>
                        </li> -->
                    </ul>
                    <!-- Tab panes -->
                </div>
                <div><br>
                    <button class="btn btn-back" style="float: left;" onclick="window.location.href='/dashboard/(seller:add_Product)' "><b>AJOUTER UN PRODUIT</b></button>
                </div>
                <div class="col-lg-12">
                    <div class="row mb-3">
                        <div class="col-lg-8 col-md-12 col-sm-12 col-12 ase mb-3">
                            <div class="input-group mob-mt-3 position-r">

                                <input type="text" class="form-control out-0" placeholder="Recherche" [(ngModel)]="searchText">
                                <span class="input-i"><i class="fa-solid fa-magnifying-glass"></i></span>
                            </div>
                        </div>
                        <div class="col-lg-2 col-md-6 col-sm-6 col-6 mb-3 txt-right ase" *ngIf="allCat">
                            <label for="">Catégorie</label>
                            <select name="" id="" class="form-select" [(ngModel)]="catagory">
                                
                                <option value="">Tous</option>
                                <option value="{{opt.title}}" *ngFor="let opt of allCat">{{opt.title}}</option>
                                <!-- <option value="iphone">Vêtements pour femmes</option>
                                <option value="health">Santé</option>
                                <option value="beauty">Beauté</option>
                                <option value="shoes">Chaussures</option>
                                <option value="Mobiles">Mobiles</option> -->
                            </select>
                        </div>
                        <div class="col-lg-2 col-md-6 col-sm-6 col-6 mb-3 txt-right">
                            <label for="">Stock</label>
                            <select name="" id="" class="form-select" (change)="stockcheck($event)">
                                
                                <option value="">Tous</option>
                                <option value="true">En stock</option>
                                <option value="false">Hors stock</option>
                                
                            </select>
                        </div>
                    </div>
                </div>

            </div>
            <div class="row">
                <div class="col-12 grid-margin">
                    <div class="tab-content">
                        <div id="home" class="tab-pane active p-0">

                            <div class="table-responsive br-6 tbl-heigh">
                                <table class="table table-bordered tbl-sell tbl-txt">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID du produit</th>
                                            <th>Nom du produit</th>
                                            <th>SKU</th>
                                            <th>Variante  </th>
                                            <th>Stock</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody *ngIf="orders">
                                        <tr *ngFor="let d of orders | filter:searchText | tableFilter: catagory   let i =index">
                                            <td width="15%" style="color:#2171ae"> {{i+1}}
                                            </td>
                                            <td width="25%">
                                                <div class="row">
                                                    
                                                    <div *ngIf="d.images.length != 0;else other_content">
                                                        <div class="col-lg-2 text-center">
                                                            <img src="{{baseurl}}static/public/{{d.images[0]}}" alt="pic">
                                                        </div>
                                                    </div>
                                                    <ng-template #other_content>
                                                        <img class="pic-1" src="./assets/build/img/nopro2.png">
                                                    </ng-template>
                                                    <div class="col-lg-10">
                                                        <p class="name-p">{{d.title}}</p>
                                                        <!-- <p class="sku-p">Parent SKU:{{d.other_details.parent_sku}}</p> -->
                                                        <p>
                                                            <!-- <span class="eye-p"><i class="fa-solid fa-eye"></i>0</span> -->
                                                            <span class="hrt-p"><i class="fa-regular fa-heart"></i> {{d.productFavCount}}</span></p>
                                                    </div>
                                                </div>
                                            </td>
                                            <td>
                                                <p> {{d.sku}}</p>

                                            </td>
                                            <td>
                                             
                                              <p *ngIf="d.variations.length > 0 ; else fal">Oui</p>
                                              <ng-template #fal>
                                                <p>Non</p>
                                              </ng-template>
                                              
                                            </td>
                                            <td>
                                               {{d.stock}}
                                            </td>

                                            <td>

                                                <button class="btn btn-danger" (click)="deleteProduct(d._id)"><i class="fa fa-trash"></i></button>
                                                <a href="/dashboard/(seller:edit_Product)?id={{d._id}}" class="btn btn-secondary"><i class="fa fa-edit"></i></a>

                                                <a *ngIf="d.variations.length > 0 ;" href="/dashboard/(seller:edit_Variation)?id={{d._id}}" class="btn btn-secondary"><i class="fa fa-edit"></i></a>

                                            </td>
                                        </tr>
                                        <tr *ngIf="orders.length == 0">
                                            <td class="no-data" colspan="10">
                                                <i class="fa-regular fa-file"></i>
                                                <p>Aucun produit trouvé</p>
                                            </td>
                                        </tr>
                                        <!-- <tr *ngFor="let d of orders  ">
                                        <td><input type="checkbox" [(ngModel)]="d.is_active"></td>
                                        <td  style="cursor: pointer;"><a routerLink="/modifyproduct/{{d._id}}">{{d.title}}</a></td>
                                        
                                        <td >{{d.sku}}</td>
                                        <td >
                                            <div class="badege" style="color: green;" *ngIf="d.is_active == true">
                                                In Stock
                                            </div>
                                            <div class="badege" style="color: red;" *ngIf="d.is_active == false">
                                                Out of Stock
                                            </div>
                                            
                                        </td>
                                        <td>{{d.price}} CFA</td>
                                        <td>{{d.catagory}}</td>
                                        <td>{{d.createdAt}} </td>
                                        <td>{{d.Vendeur}}</td>
                                    </tr> -->
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div id="menu1" class="tab-pane ">
                            <br>
                            <div class="table-responsive br-6">
                                <table class="table table-bordered tbl-sell">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID du produit</th>
                                            <th>Nom du produit</th>
                                            <th>SKU</th>
                                            <th>Variante </th>
                                            <th>Stock</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td class="no-data" colspan="10">
                                                <i class="fa-regular fa-file"></i>
                                                <p>Aucun produit trouvé</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div id="menu2" class="tab-pane ">
                            <br>
                            <div class="table-responsive br-6">
                                <table class="table table-bordered tbl-sell">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID du produit</th>
                                            <th>Nom du produit</th>
                                            <th>SKU</th>
                                            <th>Variante </th>
                                            <th>Stock</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td class="no-data" colspan="10">
                                                <i class="fa-regular fa-file"></i>
                                                <p>Aucun produit trouvé</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- <div class="container">
        <br />
      
        <div class="form-group">
          <strong>Gender</strong>
          <select class="form-control" [(ngModel)]="catagory">
            <option></option>
            <option value="male">Male</option>
            <option value="female">Female</option>
          </select>
        </div>
      
        <br /><br />

    <table class="table table-bordered">
        <thead>
          <th>Name</th>
          <th>Gender</th>
        </thead>
    
        <tbody>
          <tr *ngFor="let user of users | tableFilter: catagory">
            <td>{{ user.name }}</td>
            <td>{{ user.catagory }}</td>
          </tr>
        </tbody>
      </table>
    </div> -->


</div>